************************************************************************
*
*  The data in this file represents the following problem:
*
*  Minimize or maximize Z = x1 + 2x5 - x8
*
*  Subject to:
*
*  2.5 <=   3x1 +  x2          - 2x4  - x5              -    x8
*                 2x2 + 1.1x3                                   <=  2.1
*                          x3              + x6                  =  4.0
*  1.8 <=                      2.8x4             -1.2x7         <=  5.0
*  3.0 <= 5.6x1                       + x5              + 1.9x8 <= 15.0
*
*  where:
*
*  2.5 <= x1
*    0 <= x2 <= 4.1
*    0 <= x3
*    0 <= x4
*  0.5 <= x5 <= 4.0
*    0 <= x6
*    0 <= x7
*    0 <= x8 <= 4.3
*
************************************************************************
NAME          EXAMPLE
ROWS
 N  OBJ
 G  ROW01
 L  ROW02
 E  ROW03
 G  ROW04
 L  ROW05
COLUMNS
    COL01     OBJ                1.0
    COL01     ROW01              3.0   ROW05              5.6
    COL02     ROW01              1.0   ROW02              2.0
    COL03     ROW02              1.1   ROW03              1.0
    COL04     ROW01             -2.0   ROW04              2.8
    COL05     OBJ                2.0
    COL05     ROW01             -1.0   ROW05              1.0
    COL06     ROW03              1.0
    COL07     ROW04             -1.2
    COL08     OBJ               -1.0
    COL08     ROW01             -1.0   ROW05              1.9
RHS
    RHS1      ROW01              2.5
    RHS1      ROW02              2.1
    RHS1      ROW03              4.0
    RHS1      ROW04              1.8
    RHS1      ROW05             15.0
RANGES
    RNG1      ROW04              3.2
    RNG1      ROW05             12.0
BOUNDS
 LO BND1      COL01              2.5
 UP BND1      COL02              4.1
 LO BND1      COL03              0.0
 UI BND1      COL03              1.0
 LO BND1      COL04              0.0
 UI BND1      COL04              1.0
 LO BND1      COL05              0.5
 UI BND1      COL05              4.0
 UP BND1      COL08              4.3
ENDATA
************************************************************************
*
*  The data in this file represents the quadratic matrix for
*  the following problem:
*
*  Minimize Z = x1 + 2x5 - x8 +
*               1/2(x1**2 + x2**2 + x3**2 + x4**2 +
*                   x5**2 + x6**2 + x7**2 + x8**2)
*
*  where the linear part of the problem is in "Sample Linear Programming
*  Model Data 1".
*
************************************************************************
NAME          EXAMPLE
QSECTION
    COL01     COL01       1.0000D+00
    COL02     COL02       1.0000D+00
    COL03     COL03       1.0000D+00
    COL04     COL04       1.0000D+00
    COL05     COL05       1.0000D+00
    COL06     COL06       1.0000D+00
    COL07     COL07       1.0000D+00
    COL08     COL08       1.0000D+00
ENDATA
